Skip to navigation

Update registration

Partial update — include only the fields you want to change. The extractors and allowedExtensionIds arrays are treated as full replacements when provided.

Authentication

AuthorizationBearer

Bearer authentication of the form Bearer <token>, where token is your auth token.

Path parameters

clientApplicationIdstringRequiredformat: "uuid"

Request

This endpoint expects an object.
clientNamestring or nullOptionalformat: "^(?!\s*$).+"1-500 characters
Name of the client.
applicationNamestring or nullOptionalformat: "^(?!\s*$).+"1-500 characters
Name of the application.
featureslist of objects or nullOptional
Feature flags to assign to this registration on creation.

Response

Registration updated.
clientApplicationIdstringformat: "uuid"
clientIdstringformat: "uuid"
clientNamestring<=500 characters
applicationIdstringformat: "uuid"
applicationNamestring<=500 characters
dropFolderIdstringOptionalformat: "uuid"
uploadFolderIdstringOptionalformat: "uuid"
internalFolderIdstringOptionalformat: "uuid"
featureslist of objects or nullOptional
Feature flags and configuration assigned to this registration.

Errors

400
Bad Request Error
404
Not Found Error
500
Internal Server Error